<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   close="titlewindowCloseHandler(event)"  title="Detalhe de  Usuario/Grupo">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Metadata>
		[Event(name="UsuariogrupoExcluidoEvent")]
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			import br.com.desenv.nepalign.vo.Usuariogrupo;
			
			[Bindable]
			public var usuariogrupo : Usuariogrupo = null;
			
			private var usuariogrupoComponenteCadastro: UsuariogrupoComponenteCadastro;
			
			// Chama quando fecha a janela no X
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			

			protected function buttonAlterar_clickHandler(event:MouseEvent):void
			{
				usuariogrupoComponenteCadastro = new UsuariogrupoComponenteCadastro();
				usuariogrupoComponenteCadastro.usuariogrupo = this.usuariogrupo;
				usuariogrupoComponenteCadastro.addEventListener("UsuariogrupoAtualizadoEvent", atualizarUsuariogrupoPorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(usuariogrupoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(usuariogrupoComponenteCadastro);
			}
			
			private function atualizarUsuariogrupoPorAtualizacaoResultHandler(e:Event):void
			{
				this.usuariogrupo = usuariogrupoComponenteCadastro.usuariogrupo;
			}
			
			private function buttonExcluir_clickHandler(event:MouseEvent):void
			{
				Alert.yesLabel = "Sim";
				Alert.noLabel = "Não";
				Alert.show("Estas informações serão perdidas. Deseja EXCLUÍ-LAS assim mesmo?", "Exclusão", Alert.YES | Alert.NO, this, buttonExcluir_clickHandlerYes);
			}
			
			protected function buttonExcluir_clickHandlerYes(event:CloseEvent):void
			{
				var outputMessage:String = "";
				switch (event.detail)
				{
					case Alert.YES:
						var remoteObject: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("usuariogrupoService", excluirResultHandler);	
						remoteObject.getOperation("excluir").send(this.usuariogrupo);
						break;
					case Alert.NO:
						break;
				}
			}
			
			// Depois que exclui fecha a janela
			private function excluirResultHandler( event: ResultEvent ): void {
				this.dispatchEvent(new Event("UsuariogrupoExcluidoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<mx:DateFormatter id="dataPadrao" formatString="DD/MM/YYYY"/>
	</fx:Declarations>
	
	<mx:Grid styleName="grid">
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Codigo:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{usuariogrupo.id}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Usuario:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{usuariogrupo.usuario.id} - {usuariogrupo.usuario.nome}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Grupo:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{usuariogrupo.grupo.id} - {usuariogrupo.grupo.descricao}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Empresa:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{usuariogrupo.empresa.id} - {usuariogrupo.empresa.razao}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem horizontalAlign="center" colSpan="2">
				<s:Button id="buttonAlterar" click="buttonAlterar_clickHandler(event)" label="Alterar"/>
				<s:Button id="buttonExcluir" click="buttonExcluir_clickHandler(event)" label="Excluir"/>
			</mx:GridItem>	
		</mx:GridRow>
		
	</mx:Grid>

</s:TitleWindow>